LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (http://www.linuxquestions.org/questions/debian-26/)
-   -   Partial upgrade of KDE 3.5 to 4.2 (grrrrr) in Squeeze (http://www.linuxquestions.org/questions/debian-26/partial-upgrade-of-kde-3-5-to-4-2-grrrrr-in-squeeze-726728/)

jdkaye 05-18-2009 04:54 AM

Partial upgrade of KDE 3.5 to 4.2 (grrrrr) in Squeeze
 
Hi Debianers,
One of my few complaints about Debian is how packages get into testing. This morning I did my normal upgrade (just upgrading packages already installed with nothing new added). Debian decided to upgrade some kde packages to 4.2. These are:
Code:

kde-icons-mono (4:4.2.2-1) ...
kdeartwork-emoticons (4:4.2.2-2) ...
kdeartwork-theme-icon (4:4.2.2-2) ...
kdeartwork-theme-window (4:4.2.2-2) ...
kdegames-card-data (4:4.2.2-1) ...
kdewallpapers (4:4.2.2-2) ...

and that is all. So now, for example, a game (kpat) opens normally but with no icons and no menus.

Has anyone had to deal with this yet? or am I alone? My feeling is just to carry on and manually upgrade the other 4.2 packages. I'm sure they'll be along quite soon anyway.
Cheers,
jdk

the trooper 05-18-2009 05:39 AM

No its not just you:

Code:

Pc1:~# aptitude safe-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Resolving dependencies...
Resolving dependencies...
Resolving dependencies...
Resolving dependencies...
Resolving dependencies...
Resolving dependencies...
Resolving dependencies...
The following packages have been kept back:
  gwenview kappfinder{a} kdebase{a} kdebase-bin{a} kdebase-data{a} kdepasswd{a} kdm kfind{a} kipi-plugins
  konqueror{a} kscreensaver kscreensaver-xsavers
The following NEW packages will be installed:
  akonadi-server{a} gnokii-common{a} kaboom{a} kdebase-workspace-libs4+5{a} kdepimlibs-data{a}
  kdepimlibs5{a} libakonadiprivate1{a} libarchive1{a} libbluetooth2{a} libboost-program-options1.34.1{a}
  libdbd-mysql-perl{a} libdbi-perl{a} libgnokii4{a} libgraphicsmagick3{a} libhtml-template-perl{a}
  libical0{a} libkabcommon4{a} libkcddb4{a} libkdepim4{a} libkleo4{a} libkontactinterfaces4{a}
  libnet-daemon-perl{a} libpcsclite1{a} libplasma3{a} libplrpc-perl{a} libqt4-opengl{a} libqt4-webkit{a}
  libsensors3{a} libterm-readkey-perl{a} libzip1{a} mysql-client-5.0{a} mysql-server-5.0{a} phonon{a}
The following packages will be REMOVED:
  kregexpeditor{u} libkcddb1{u} libsensors4{u} libservlet2.3-java{u} lm-sensors{u}
The following packages will be upgraded:
  alien ark cpp cpp-4.3 cron exim4 exim4-base exim4-config exim4-daemon-light g++ g++-4.3 gcc gcc-4.3
  gcc-4.3-base graphicsmagick graphicsmagick-imagemagick-compat kaddressbook kamera kate kde-icons-oxygen
  kdebase-runtime kdebase-runtime-bin-kde4 kdebase-runtime-data kdelibs-bin kdelibs5 kdelibs5-data
  kdemultimedia-kio-plugins klipper knetworkconf konqueror-nsplugins konsole ksysguard ksysguardd
  libcommons-digester-java libcommons-logging-java libdb-je-java libgcj-bc libgcj-common libmtp8
  libnewt0.52 liboil0.3 libschroedinger-1.0-0 libstdc++6-4.3-dev lp-solve mtp-tools myspell-en-us
  openssl-blacklist python-newt soundkonverter whiptail
The following packages are RECOMMENDED but will NOT be installed:
  ffmpeg timidity
50 packages upgraded, 33 newly installed, 5 to remove and 12 not upgraded.
Need to get 167MB of archives. After unpacking 170MB will be used.
Do you want to continue? [Y/n/?] n
Abort.
Pc1:~#

Looks like we have some major changes for KDE coming.
I think i'll hold off updating and see what happens.

jdkaye 05-18-2009 07:13 AM

Thanks Trooper, I think I'll do the same.
Cheers,
jdk


All times are GMT -5. The time now is 01:05 PM.